from setuptools import setup, find_packages

setup(
    name="ink-coverage-calculator",
    version="0.1",
    author="Ze'ev Schurmann",
    description="A tool to calculate ink coverage in images.",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://git.zaks.web.za/thisiszeev/ink-calc",
    license="GPL-3.0-or-later",
    packages=find_packages(where="src"),
    package_dir={"": "src"},
    py_modules=["ink_calc"],
    install_requires=[
        "numpy",
        "Pillow",
        "tk"
    ],
    python_requires=">=3.11",
    entry_points={
        "console_scripts": [
            "ink-calc=ink_calc:main",
        ],
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)",
        "Operating System :: OS Independent",
        "Topic :: Multimedia :: Graphics",
    ],
)
